# Enum Class VulkanResolveModeFlag

java.lang.Object
java.lang.Enum<VulkanResolveModeFlag>
com.io7m.jcoronado.api.VulkanResolveModeFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType, Serializable, Comparable<VulkanResolveModeFlag>, Constable`

public enum VulkanResolveModeFlag extends Enum<VulkanResolveModeFlag> implements VulkanEnumBitmaskType
Bitmask indicating supported depth and stencil resolve modes.

See Also:
  - "VkResolveModeFlagBits"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_RESOLVE_MODE_AVERAGE`
  Specifies that result of the resolve operation is the average of the sample values.
  `VK_RESOLVE_MODE_MAX`
  Specifies that result of the resolve operation is the maximum of the sample values.
  `VK_RESOLVE_MODE_MIN`
  Specifies that result of the resolve operation is the minimum of the sample values.
  `VK_RESOLVE_MODE_NONE`
  Specifies that no resolve operation is done.
  `VK_RESOLVE_MODE_SAMPLE_ZERO`
  Specifies that result of the resolve operation is equal to the value of sample 0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanResolveModeFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanResolveModeFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_RESOLVE_MODE_NONE

    public static final VulkanResolveModeFlag VK_RESOLVE_MODE_NONE
    Specifies that no resolve operation is done.

  - ### VK_RESOLVE_MODE_SAMPLE_ZERO

    public static final VulkanResolveModeFlag VK_RESOLVE_MODE_SAMPLE_ZERO
    Specifies that result of the resolve operation is equal to the value of sample 0.

  - ### VK_RESOLVE_MODE_AVERAGE

    public static final VulkanResolveModeFlag VK_RESOLVE_MODE_AVERAGE
    Specifies that result of the resolve operation is the average of the sample values.

  - ### VK_RESOLVE_MODE_MIN

    public static final VulkanResolveModeFlag VK_RESOLVE_MODE_MIN
    Specifies that result of the resolve operation is the minimum of the sample values.

  - ### VK_RESOLVE_MODE_MAX

    public static final VulkanResolveModeFlag VK_RESOLVE_MODE_MAX
    Specifies that result of the resolve operation is the maximum of the sample values.

- ## Method Details

  - ### values

    public static VulkanResolveModeFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanResolveModeFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant